curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/wholesale-order/{workflow_id}/shipment' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"shipment_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"ship_date": "2026-08-31T14:22:05Z",
"carrier_scac": "string",
"tracking_number": "1Z999AA10123456784",
"cartons": null
}'
Wholesale order shipment
Accepted — shipment confirmation signalled (drives the 856/810 leg).
POST
/
v1
/
workflows
/
wholesale-order
/
{workflow_id}
/
shipment
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/wholesale-order/{workflow_id}/shipment' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"shipment_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"ship_date": "2026-08-31T14:22:05Z",
"carrier_scac": "string",
"tracking_number": "1Z999AA10123456784",
"cartons": null
}'
Path parameters
string (string)
required
Request body
object
string
required
string
required
string
string
object
required
Carton detail (free-form JSON)
Response
No response body. Accepted — shipment confirmation signalled (drives the 856/810 leg).Status codes
| Code | Meaning |
|---|---|
202 | Accepted — shipment confirmation signalled (drives the 856/810 leg). |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/wholesale-order/{workflow_id}/shipment' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"shipment_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"ship_date": "2026-08-31T14:22:05Z",
"carrier_scac": "string",
"tracking_number": "1Z999AA10123456784",
"cartons": null
}'
Last modified on August 31, 2026